Bug 110224 - [CI][SHARDS] igt@i915_pm_rpm@dpms-mode-unset-non-lpsp - dmesg-warn - *ERROR* Timed out waiting for R0 ready
Summary: [CI][SHARDS] igt@i915_pm_rpm@dpms-mode-unset-non-lpsp - dmesg-warn - *ERROR* ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Ramalingam C
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-22 11:47 UTC by Martin Peres
Modified: 2019-04-17 14:26 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, CFL
i915 features: display/HDCP


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-22 11:47:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5789/shard-apl2/igt@i915_pm_rpm@dpms-mode-unset-non-lpsp.html

<3> [1344.473385] [drm:intel_hdcp_auth [i915]] *ERROR* Timed out waiting for R0 ready
Comment 1 CI Bug Log 2019-03-22 11:48:28 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* APL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp - dmesg-warn - *ERROR* Timed out waiting for R0 ready
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5789/shard-apl2/igt@i915_pm_rpm@dpms-mode-unset-non-lpsp.html
Comment 2 CI Bug Log 2019-04-10 14:13:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp - dmesg-warn - *ERROR* Timed out waiting for R0 ready -}
{+ APL KBL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp / igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0 ready +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5894/shard-kbl4/igt@gem_softpin@noreloc-s3.html
Comment 3 Ramalingam C 2019-04-11 10:58:33 UTC
We shouldn't even running the HDCP authentication at igt@i915_pm_rpm@dpms-mode-unset-non-lpsp.

I guess we are not removing the hdcp desired state when hdcp auth is failed. So next mode set from next test is retriggering the hdcp auth.
Comment 4 Ramalingam C 2019-04-11 11:23:58 UTC
Expecting this issue will be fixed with below IGT change

https://patchwork.freedesktop.org/series/59338/
Comment 5 CI Bug Log 2019-04-16 05:44:44 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL KBL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp / igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0 ready -}
{+ APL KBL CFL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp / igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0 ready +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-cfl-8109u/igt@kms_flip@dpms-vs-vblank-race-interruptible.html
Comment 6 CI Bug Log 2019-04-16 05:45:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL KBL CFL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp / igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0 ready -}
{+ APL KBL CFL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp / igt@gem_softpin@noreloc-s3 /igt@kms_flip@dpms-vs-vblank-race-interruptible - dmesg-warn - *ERROR* Timed out waiting for R0 ready +}

 No new failures caught with the new filter
Comment 7 Lakshmi 2019-04-16 05:46:28 UTC
(In reply to CI Bug Log from comment #5)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- APL KBL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp /
> igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0
> ready -}
> {+ APL KBL CFL: igt@i915_pm_rpm@dpms-mode-unset-non-lpsp /
> igt@gem_softpin@noreloc-s3 - dmesg-warn - *ERROR* Timed out waiting for R0
> ready +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-cfl-8109u/
> igt@kms_flip@dpms-vs-vblank-race-interruptible.html

This is a new failure on CFL.
Comment 8 Ramalingam C 2019-04-16 10:12:40 UTC
Merged the required fix https://patchwork.freedesktop.org/series/59338/
Comment 9 Martin Peres 2019-04-17 14:26:24 UTC
(In reply to Ramalingam C from comment #8)
> Merged the required fix https://patchwork.freedesktop.org/series/59338/

Thanks, this should indeed fix the issue :)
Comment 10 CI Bug Log 2019-04-17 14:26:34 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.